package xyz.etztech.qol.listeners;

import org.bukkit.entity.EntityType;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityChangeBlockEvent;
import xyz.etztech.qol.QoL;

public class EntityChangeBlockListener implements Listener {
    QoL plugin;

    public EntityChangeBlockListener(QoL plugin) {
        this.plugin = plugin;
        plugin.getServer().getPluginManager().registerEvents(this, plugin);
    }

    @EventHandler
    public void onEntityChangeBlock(EntityChangeBlockEvent e) {
        if (e.getEntity().getType() == EntityType.ENDERMAN) {
            if(plugin.getConfig().getBoolean("disable-mob-grief.enderman", false)){
                e.setCancelled(true);
            }
        }

    }
}
